Package Base Details: webstorm-eap

Git Clone URL: https://aur.archlinux.org/webstorm-eap.git (read-only, click to copy)
Keywords: devel ide intellij jetbrains web webstorm
Submitter: janek
Maintainer: janek (navarroaxel)
Last Packager: navarroaxel
Votes: 9
Popularity: 0.000000
First Submitted: 2015-08-24 18:41 (UTC)
Last Updated: 2022-05-13 14:52 (UTC)

Pinned Comments

janek commented on 2021-11-14 17:33 (UTC) (edited on 2021-11-14 17:35 (UTC) by janek)

ANNOUNCE: now the JBR/JRE was move to his own package webstorm-eap-jre. If you want to use WebStorm with the built-in JRE from JetBrains, you should install this new package with your AUR package manager as the following:

$ yay -S webstorm-eap-jre

To remove all

$ pacman -Rns webstorm-eap webstorm-eap-jre

A good practice is to leave the webstorm-eap-jre as a dependency

$ pacman -D --asdeps webstorm-eap-jre

Latest Comments

janek commented on 2021-11-14 17:33 (UTC) (edited on 2021-11-14 17:35 (UTC) by janek)

ANNOUNCE: now the JBR/JRE was move to his own package webstorm-eap-jre. If you want to use WebStorm with the built-in JRE from JetBrains, you should install this new package with your AUR package manager as the following:

$ yay -S webstorm-eap-jre

To remove all

$ pacman -Rns webstorm-eap webstorm-eap-jre

A good practice is to leave the webstorm-eap-jre as a dependency

$ pacman -D --asdeps webstorm-eap-jre

navarroaxel commented on 2020-06-22 12:49 (UTC)

Can you add this key to the desktop file? StartupWMClass=jetbrains-webstorm The key's value should match with the startupWmClass attribute in the /opt/webstorm-eap/product-info.json to launch properly in some launchers like latte-dock.

janek commented on 2020-06-19 13:03 (UTC)

@navarroaxel sounds reasonable and aligns this package with other intellij AUR-packages. Thanks for the suggestion.
Done in 202.5792.46-2

navarroaxel commented on 2020-06-19 12:18 (UTC)

Can you rename the CLI command to webstorm-eap instead of jetbrains-webstorm-eap?

mynetgear commented on 2019-06-28 12:24 (UTC)

you can get full customer support at mywifiext.net if you have any issue with Netgear extender. they will help you to resolve your issue by getting your query and then providing you an effective solution. you can also send them a mail along with what time will be suitable for you. they will contact you at that time and solve your issue. follow this to know more about it: https://mywifiextnets.net/

janek commented on 2018-10-11 11:54 (UTC)

@Kunda: I can't reproduce this issue. Do you use an AUR helper? If yes: Which one? Have you tried a clean build?

Kunda commented on 2018-10-11 01:10 (UTC)

Latest AUR update fails:

target not found: webstorm-eap

deanproxy commented on 2018-06-08 18:54 (UTC)

@jbbr Okay, I sent the PKGBUILD over to the e-mail address that was in the PKGBUILD file. Let me know if I need to send it somewhere else to make it easier for you.

janek commented on 2018-06-08 15:21 (UTC) (edited on 2018-06-08 15:40 (UTC) by janek)

@deanproxy that would be great, I'm currently short on time but I'd gladly accept a patch for this PKGBUILD to archive this behavior.

There are multiple API ressources like "releases" and "products" with the possibility to filter by "eap", "rc" and "release".

Not sure if this is documented somewhere and likely not intended for public use so the api could change or be closed for external access...

thanks

deanproxy commented on 2018-06-08 13:46 (UTC)

@jbbr that would be great. I can conjure up something for PKGBUILD to use the jetbrains api if you're short on time?

janek commented on 2018-06-08 13:15 (UTC) (edited on 2018-06-08 13:22 (UTC) by janek)

@deanproxy I'm not sure if and how it's possible to submit Merge Requests using AUR. It would be really great to have an easy way of doing so. Maybe keeping the repo in sync with some external Gitlab/Github repo would do the trick... Anyway: I will now update the package

Update: The PKGBUILD is now up-to-date. Some thoughts about a possible future: It might be preferable to have the PKGBUILD always fetch the latest version, similar to the -git packages.

The eap download page of jetbrains is already API-based and it should be possible to query https://data.services.jetbrains.com/products?code=WS&release.type=eap%2Crc to always get the latest and greatest.

deanproxy commented on 2018-06-08 12:42 (UTC)

This is a bit out of date. Any way I can submit a merge request with an updated PKGBUILD?

janek commented on 2017-11-21 12:48 (UTC)

@R3GT1C: EAP stands for "Early Access Program". So they are pre-releases.

R3GT1C commented on 2017-11-21 04:34 (UTC)

What is eap version?

dbrgn commented on 2016-10-17 06:28 (UTC)

Also note that you can get a "subscription" and then cancel it immediately. This will give you a lifetime license for the current version, without paying monthly / yearly (but without access to future updates of course).

trulex commented on 2016-04-23 10:22 (UTC)

Thanks for the info!

janek commented on 2016-04-23 10:16 (UTC)

I think the EAP builds which do not require a license have an expiry date and don't work when it exceeds. Also you can use the trial versions for more then 30 days - you only have to restart the IDE 1x per hour. I think the pricing model is quite fair - although I usually don't like subscriptions for applications. If you are a student, use it for an open source project and more, you can get it for free anyway.

trulex commented on 2016-04-23 10:08 (UTC)

Sadly old urls do not work. I would be happy if anyone shared package that doesn't require a license.

janek commented on 2016-04-23 09:50 (UTC)

@trulex: You can get old versions of the package from the aur git repository. See https://aur.archlinux.org/cgit/aur.git/log/?h=webstorm-eap for changelog. You can checkout a specific commit and use "makepkg" to build the package. As the PKGBUILD relies on the official jetbrains download url, it might be the case that some older versions are not available anymore.

trulex commented on 2016-04-23 09:23 (UTC)

Is it possible to get older version that didn't require a license?

janek commented on 2016-01-21 12:20 (UTC) (edited on 2016-01-21 12:22 (UTC) by janek)

Note: Latest EAP (144.3143.5) uses a built-in custom JDK. Old "no-sdk" build seems to be gone. That's why java-environment is not a dependency anymore. This might cause issues for users of customized JDKs (infinality fonts, other architectures like ARM...)!

janek commented on 2015-11-05 21:14 (UTC) (edited on 2015-11-21 17:51 (UTC) by janek)

EDIT: Due to request I will continue updating this package also on non-eap releases. Webstorm 11 has been released. I will continue maintaining this package once Webstorm 12 (or 11.1) EAP begins. Just flag this package to notify me. AUR package for Webstorm 11: https://aur.archlinux.org/packages/webstorm/